Bug 734809 - hivex: ./configure --disable-nls fails to build
Summary: hivex: ./configure --disable-nls fails to build
Keywords:
Status: NEW
Alias: None
Product: Virtualization Tools
Classification: Community
Component: hivex
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 14:24 UTC by Richard W.M. Jones
Modified: 2016-06-15 12:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Richard W.M. Jones 2011-08-31 14:24:19 UTC
./configure --disable-nls
make
[...]
  CC     hivexsh-hivexsh.o
hivexsh.c: In function 'main':
hivexsh.c:102:3: warning: implicit declaration of function 'setlocale' [-Wimplicit-function-declaration]
hivexsh.c:102:14: error: 'LC_ALL' undeclared (first use in this function)
hivexsh.c:102:14: note: each undeclared identifier is reported only once for each function it appears in
hivexsh.c:103:3: warning: implicit declaration of function 'bindtextdomain' [-Wimplicit-function-declaration]
hivexsh.c:104:3: warning: implicit declaration of function 'textdomain' [-Wimplicit-function-declaration]
make[2]: *** [hivexsh-hivexsh.o] Error 1
make[2]: Leaving directory `/home/rjones/d/hivex/sh'

(Reported by slepnoga@gentoo)

Comment 1 slepnoga 2011-08-31 15:08:08 UTC
> (Reported by slepnoga@gentoo)

by me

Comment 2 Fedora End Of Life 2013-04-03 17:22:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora End Of Life 2015-01-09 16:46:04 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jan Kurik 2015-07-15 15:14:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23


Note You need to log in before you can comment on or make changes to this bug.